<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2007 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at
  
          http://www.apache.org/licenses/LICENSE-2.0
  
     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.android.soundrecorder">

    <original-package android:name="com.android.soundrecorder" />

    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.DEVICE_POWER" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    
    <application android:label="@string/app_name"
                 android:icon="@drawable/ic_launcher_soundrecorder">
        <activity android:name="SoundRecorder"
                android:launchMode="singleTop"
                android:configChanges="orientation|screenSize|keyboardHidden|mnc|mcc"
                android:screenOrientation="unspecified"
                android:clearTaskOnLaunch="true"
                android:theme="@style/Theme.SoundRecorder">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                 <action android:name="android.intent.action.GET_CONTENT" />
                 <category android:name="android.intent.category.DEFAULT" />
                 <category android:name="android.intent.category.OPENABLE" />
                 <data android:mimeType="audio/amr" />
                 <data android:mimeType="audio/3gpp" />
            </intent-filter>
            <!-- intent-filter>
                 <action android:name="android.provider.MediaStore.RECORD_SOUND" />
                 <category android:name="android.intent.category.DEFAULT" />
            </intent-filter -->
        </activity>
        <activity android:name="RecordingFileList" android:label="@string/recording_file_list"
            android:configChanges="orientation|keyboardHidden|mnc|mcc"
            android:theme="@style/Theme.SoundRecorder"> 
        </activity>
    </application>

</manifest>
